#include <stdio.h>

int main() {
    int k, n;
    
    // Richiedi all'utente di inserire il valore k compreso tra 1 e 4
    do {
        printf("Inserisci un valore k compreso tra 1 e 4: ");
        scanf("%d", &k);
    } while (k < 1 || k > 4);

    // Richiedi all'utente di inserire il numero di caratteri
    printf("Inserisci il numero di caratteri (n): ");
    scanf("%d", &n);

    // Leggi e elabora gli n caratteri
    printf("Inserisci %d caratteri:\n", n);
    for (int i = 0; i < n; i++) {
        char carattere;
        int valore;

        // Leggi il carattere
        scanf(" %c", &carattere);

        // Somma k al valore del carattere
        valore = carattere + k;

        // Stampa il valore ottenuto per il carattere
        printf("Il valore ottenuto per il carattere %c e' : %d\n", carattere, valore);
    }

    return 0;
}

